Page MenuHomePhabricator

lit: modernize the lit configuration for the lit tests
ClosedPublic

Authored by stella.stamenova on May 10 2019, 12:27 PM.

Details

Summary

This also normalizes the config feature that represents the windows platform to "system-windows" as opposed to having both "windows" and "system-windows"

Diff Detail

Repository
rL LLVM

Event Timeline

Herald added a project: Restricted Project. · View Herald TranscriptMay 10 2019, 12:27 PM
This revision was not accepted when it landed; it landed in state Needs Review.May 29 2019, 11:05 AM
This revision was automatically updated to reflect the committed changes.
mgorny added a subscriber: mgorny.Jun 14 2019, 9:44 AM

This breaks running tests via lit:

$ lit -v tests
lit: /usr/lib/python3.7/site-packages/lit/TestingConfig.py:102: fatal: unable to parse config file '/home/mgorny/git/llvm-project/llvm/utils/lit/tests/lit.cfg', traceback: Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/lit/TestingConfig.py", line 89, in load_from_path
    exec(compile(data, path, 'exec'), cfg_globals, None)
  File "/home/mgorny/git/llvm-project/llvm/utils/lit/tests/lit.cfg", line 38, in <module>
    llvm_config.with_environment('PYTHONPATH', lit_path, append_path=True)
AttributeError: 'NoneType' object has no attribute 'with_environment'